/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/DLIBOPTI.CPP   1.2.1.5   17 Apr 1997 15:48:12   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/DLIBOPTI.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:48:12   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:19:26   ZJRD
** No change.
** 
**    Rev 1.2.1.3   10 Apr 1997 15:30:50   ZJRD
** 2.09F
** 
**    Rev 1.2.1.1   03 Apr 1997 15:11:46   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:16:48   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:27:56   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:45:50   ZJRD
** Initial revision.
** 
**    Rev 1.3.1.0.1.2   09 Dec 1996 10:14:12   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.3.1.0.1.0   11 Nov 1996 12:57:26   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.3.1.4   09 Sep 1996 13:13:28   ZJRD
** No change.
** 
**    Rev 1.3.1.3   05 Sep 1996 11:25:00   ZJRD
** No change.
** 
**    Rev 1.3.1.2   02 Sep 1996 09:52:08   ZJRD
** No change.
** 
**    Rev 1.3.1.1   28 Aug 1996 15:43:48   ZJRD
** No change.
** 
**    Rev 1.3.1.0   12 Aug 1996 10:49:12   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.0   29 May 1996 09:35:38   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// dcoption.cpp
//
// Michael Long 
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "dlib.h"
#include "dliboption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DLIBOption dialog


DLIBOption::DLIBOption(DLIBTool * pTool)
    : CPropertyPage(DLIBOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;          
    
    LoadData();

    //{{AFX_DATA_INIT(DLIBOption)
   
    //}}AFX_DATA_INIT
}

void DLIBOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(DCOption)
    DDX_Check(pDX, IDC_DLIBOPT_CHECK1, m_nSmall);
    DDX_Check(pDX, IDC_DLIBOPT_CHECK2, m_nCompact);
    DDX_Check(pDX, IDC_DLIBOPT_CHECK3, m_nLarge);
    DDX_Text(pDX, IDC_DLIBOPT_MORE_EDIT, m_strMore);
    DDX_Text(pDX, IDC_DLIBOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void DLIBOption::SaveData(void)
{                                  
//  UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strMore.TrimLeft();
    m_strMore.TrimRight();
    m_pTool->m_nSmall     = m_nSmall;
    m_pTool->m_nCompact = m_nCompact;
    m_pTool->m_nLarge    = m_nLarge;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;
    
   }

void DLIBOption::LoadData(void)
{
    m_nSmall     = m_pTool->m_nSmall;
    m_nCompact = m_pTool->m_nCompact;
    m_nLarge    = m_pTool->m_nLarge;
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;
    
}

BEGIN_MESSAGE_MAP(DLIBOption, CPropertyPage)
    //{{AFX_MSG_MAP(DLIBOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// DCOption message handlers
